#!/usr/bin/perl
use strict;
use Progress;

my $runs=1000;

# times: (seq len 
#    smith-waterman: 1:05 min
#    needleman:      0:32 min
#    heuristic:      0:09 min

my $timer=new Progress;
my $minLen=100;
my $maxLen=1000;
for(my $len=$minLen; $len<$maxLen ; $len+=100)
  {
    `random-protein.pl $len x.fasta`;
    `random-protein.pl $len y.fasta`;
    print "$len bp:\n";

    $timer->startTimer();
    system("smith-waterman matrices/blosum62 5 2 x.fasta y.fasta PROTEIN -q -n $runs > /dev/null");
    my $msg=$timer->stopTimer();
    print "\tSmithWaterman: $msg\n";

    $timer->startTimer();
    system("needleman matrices/blosum62 2 x.fasta y.fasta PROTEIN -q -n $runs > /dev/null");
    my $msg=$timer->stopTimer();
    print "\tNeedlemanWunsch: $msg\n";

    $timer->startTimer();
    system("rapid-comparison matrices/blosum62 x.fasta y.fasta PROTEIN -n $runs > /dev/null");
    my $msg=$timer->stopTimer();
    print "\tHeuristic: $msg\n";
  }


