#!/usr/bin/perl
use strict;

my $usage="$0 <in-matrix> <DNA|PROTEIN> <out-matrix>";
die "$usage\n" unless @ARGV==3;
my ($infile,$type,$outfile)=@ARGV;

die unless($type eq "DNA" || $type eq "PROTEIN");

my ($matchP,$mismatchP);
if($type eq "DNA") {$matchP=0.47}
else {$matchP=0.80}
$mismatchP=1-$matchP;

open(OUT,">$outfile") || die "can't create file: $outfile\n";
open(IN,$infile) || die "can't open $infile\n";
while(<IN>)
  {
    if(/^[A-Z\*]\s+[\s\d\-\.]+/)
      {
	my @fields=split/\s+/,$_;
	my $n=@fields;
	my $s=$fields[0];
	my $numMatches=0;
	for(my $i=1 ; $i<$n ; ++$i)
	  { if($fields[$i]>0) {++$numMatches} }
	my $numMismatches=$n-1-$numMatches;
	my $p=($numMatches ? $matchP/$numMatches : "-inf");
	my $q=$mismatchP/$numMismatches;
	for(my $i=1 ; $i<$n ; ++$i)
	  {
	    $fields[$i]=($fields[$i]>0 ? $p : $q);
	    $fields[$i]=int($fields[$i]*10000+0.5)/10000;
	  }
	my $line=join(' ',@fields);
	print OUT "$line\n";
      }
    else {print OUT}
  }
close(IN);
close(OUT);

