#!/usr/bin/perl
use strict;

my (@lengths,@SW,@NW,@H);
while(<STDIN>)
  {
    if(/(\d+) bp:/)
      {
	push @lengths,$1
      }
    elsif(/SmithWaterman: (\S+)\s+(\S+)/)
      {
	my ($time,$units)=($1,$2);
	if($units eq "days") {$time*=24; $units="hours"}
	if($units eq "hours") {$time*=60;$units="min"}
	if($units eq "min") {$time*=60;$units="sec"}
	push @SW,$time;
      }
    elsif(/NeedlemanWunsch: (\S+)\s+(\S+)/)
      {
	my ($time,$units)=($1,$2);
	if($units eq "days") {$time*=24; $units="hours"}
	if($units eq "hours") {$time*=60;$units="min"}
	if($units eq "min") {$time*=60;$units="sec"}
	push @NW,$time;
      }
    elsif(/Heuristic: (\S+)\s+(\S+)/)
      {
	my ($time,$units)=($1,$2);
	if($units eq "days") {$time*=24; $units="hours"}
	if($units eq "hours") {$time*=60;$units="min"}
	if($units eq "min") {$time*=60;$units="sec"}
	push @H,$time;
      }
  }

my $n=@lengths;
for(my $i=0 ; $i<$n ; ++$i)
  {
    my $x=$lengths[$i];
    my $y=$SW[$i];
    print "$x $y\n";
  }
print "\n";
for(my $i=0 ; $i<$n ; ++$i)
  {
    my $x=$lengths[$i];
    my $y=$NW[$i];
    print "$x $y\n";
  }
print "\n";
for(my $i=0 ; $i<$n ; ++$i)
  {
    my $x=$lengths[$i];
    my $y=$H[$i];
    print "$x $y\n";
  }
print "\n";

