#!/usr/bin/perl
use strict;
use FastaWriter;
use SubstitutionMatrix;
use AminoAlphabet;
use LinearRegressor;

my $usage="$0 <length> <outfile>\n";
die $usage unless @ARGV==2;
my ($proteinLength,$filename)=@ARGV;

my $writer=new FastaWriter;
my $alphabet=new AminoAlphabet;
my $nAlpha=$alphabet->size();
my $protein=randomProtein($proteinLength);
my $defline=">1";
$writer->writeFasta($defline,$protein,$filename);
#------------------------------------------------------------------------------
sub randomProtein
  {
    my ($len)=@_;
    my $protein;
    for(my $i=0 ; $i<$len ; ++$i)
      {
	my $symbol=randomAcid();
	while($symbol eq "*") {$symbol=randomAcid()}
	$protein.=$symbol;
      }
    return $protein;
  }
#------------------------------------------------------------------------------
sub randomAcid
  {
    my $r=int(rand($nAlpha));
    return $alphabet->indexToSymbol($r);
  }
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------
#------------------------------------------------------------------------------






